### Class

# Gimp Channel

#### Description [src]

    class Gimp.Channel : Gimp.Drawable
    {
      /* No available fields */
    }

Functions for manipulating channels.

#### Hierarchy

#### Ancestors

- GimpDrawable
- GimpItem
- GObject

#### Descendants

- GimpLayerMask
- GimpSelection

#### Constructors

###### gimp_channel_new

Create a new channel.

###### gimp_channel_new_from_component

Create a new channel from a color component.

since: 2.4

#### Functions

###### gimp_channel_get_by_id

Returns a `GimpChannel` representing `channel_id`. This function calls `gimp_item_get_by_id()` and returns the item if it is channel or `NULL` otherwise.

since: 3.0

#### Instance methods

###### gimp_channel_combine_masks

Combine two channel masks.

###### gimp_channel_copy

Copy a channel.

###### gimp_channel_get_color

Get the compositing color of the specified channel.

###### gimp_channel_get_opacity

Get the opacity of the specified channel.

###### gimp_channel_get_show_masked

Get the composite method of the specified channel.

###### gimp_channel_set_color

Set the compositing color of the specified channel.

###### gimp_channel_set_opacity

Set the opacity of the specified channel.

###### gimp_channel_set_show_masked

Set the composite method of the specified channel.

##### Methods inherited from GimpDrawable (56)

Please see GimpDrawable for a full list of methods.

##### Methods inherited from GimpItem (48)

Please see GimpItem for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GimpItem (1)

###### Gimp.Item:id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpChannelClass {
      GimpDrawableClass parent_class;
      void (* _gimp_reserved0) (
    void
      );
      void (* _gimp_reserved1) (
    void
      );
      void (* _gimp_reserved2) (
    void
      );
      void (* _gimp_reserved3) (
    void
      );
      void (* _gimp_reserved4) (
    void
      );
      void (* _gimp_reserved5) (
    void
      );
      void (* _gimp_reserved6) (
    void
      );
      void (* _gimp_reserved7) (
    void
      );
      void (* _gimp_reserved8) (
    void
      );
      void (* _gimp_reserved9) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GimpDrawableClass`

  No description available.

`_gimp_reserved0: void (* _gimp_reserved0) ( void )`

  No description available.

`_gimp_reserved1: void (* _gimp_reserved1) ( void )`

  No description available.

`_gimp_reserved2: void (* _gimp_reserved2) ( void )`

  No description available.

`_gimp_reserved3: void (* _gimp_reserved3) ( void )`

  No description available.

`_gimp_reserved4: void (* _gimp_reserved4) ( void )`

  No description available.

`_gimp_reserved5: void (* _gimp_reserved5) ( void )`

  No description available.

`_gimp_reserved6: void (* _gimp_reserved6) ( void )`

  No description available.

`_gimp_reserved7: void (* _gimp_reserved7) ( void )`

  No description available.

`_gimp_reserved8: void (* _gimp_reserved8) ( void )`

  No description available.

`_gimp_reserved9: void (* _gimp_reserved9) ( void )`

  No description available.